Initiatives
Add participants
Add people to an active WhatsApp initiative. WARNING: each person added receives a real outbound WhatsApp message. Do-Not-Contact people are skipped.
POST
/
api
/
v1
/
initiatives
/
{id}
/
participants
Add participants
curl --request POST \
--url https://www.useboom.ai/api/v1/initiatives/{id}/participants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"people": [
{
"externalId": "<string>",
"phoneNumber": "<string>",
"name": "<string>",
"lastName": "<string>",
"context": {}
}
]
}
'import requests
url = "https://www.useboom.ai/api/v1/initiatives/{id}/participants"
payload = { "people": [
{
"externalId": "<string>",
"phoneNumber": "<string>",
"name": "<string>",
"lastName": "<string>",
"context": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
people: [
{
externalId: '<string>',
phoneNumber: '<string>',
name: '<string>',
lastName: '<string>',
context: {}
}
]
})
};
fetch('https://www.useboom.ai/api/v1/initiatives/{id}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"participantId": "<string>",
"phoneNumber": "<string>"
}
],
"errors": [
{
"index": 123,
"error": {
"code": "<string>",
"message": "<string>"
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Organization API key, sent as Authorization: Bearer boom_org_....
Path Parameters
Initiative id.
Minimum string length:
1Body
application/json
The people to add. Each receives a real WhatsApp message.
Required array length:
1 - 500 elementsShow child attributes
Show child attributes
Was this page helpful?
⌘I
Add participants
